Множественные уязвимости в BlogMan

Дата публикации:
05.03.2009
Дата изменения:
05.03.2009
Всего просмотров:
1826
Опасность:
Средняя
Наличие исправления:
Нет
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Неавторизованное изменение данных
Обход ограничений безопасности
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
BlogMan 0.x
Уязвимые версии: BlogMan 0.6.0 и более ранние версии.

Описание:
Обнаруженные уязвимости позволяют удаленному пользователю обойти некоторые ограничения безопасности и выполнить произвольные SQL команды в базе данных приложения.

1. Уязвимость существует из-за того, что приложение разрешает доступ к административному интерфейсу при наличии определенного параметра в файле куки. Удаленный пользователь может присвоить параметру файла куки "blogmanuserid" идентификатор существующей учетной записи и получить неавторизованный доступ к административному интерфейсу приложения.

2. Уязвимость существует из-за недостаточной обработки входных данных в параметре файла куки "blogmanuserid" в сценариях .php, register.php, viewall.php и admin.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения. Для успешной эксплуатации уязвимости опция "magic_quotes_gpc" должна быть отключена в конфигурационном файле PHP.

3. Уязвимость существует из-за недостаточной обработки входных данных в параметре "id" в сценариях read.php и profile.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения. Для успешной эксплуатации уязвимости опция "magic_quotes_gpc" должна быть отключена в конфигурационном файле PHP.

4. Уязвимость существует из-за недостаточной обработки входных данных в параметрах "un" и "pw" в сценарии doLogin.php. Удаленный пользователь может с помощью специально сформированного запроса выполнить произвольные SQL команды в базе данных приложения. Для успешной эксплуатации уязвимости опция "magic_quotes_gpc" должна быть отключена в конфигурационном файле PHP.

URL производителя: sourceforge.net/projects/blogman/

Решение: Способов устранения уязвимости не существует в настоящее время.

или введите имя

CAPTCHA